package com.xinyilu.system.domain.teacherInfo;

import com.xinyilu.common.core.domain.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 班级教师关系管理对象 class_teacher_info
 *
 * @author jihan
 * @date 2022-08-05
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@EqualsAndHashCode(callSuper = true)
@ApiModel(value = "班级教师关系管理对象", description = "class_teacher_info")
public class ClassTeacherInfo extends BaseEntity {
    private static final long serialVersionUID = -7887620891608016263L;
    /**
     * 主键id
     */
    private Long id;

    /**
     * 班级表id
     */
    @ApiModelProperty(value = "班级表id")
    private Long classId;

    /**
     * 教师表id
     */
    @ApiModelProperty(value = "教师表id")
    private Long teacherId;

    /**
     * 是否删除，0：否，1：是
     */
    private Integer delFlag;


    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
                .append("id", getId())
                .append("classId", getClassId())
                .append("teacherId", getTeacherId())
                .append("delFlag", getDelFlag())
                .append("createBy", getCreateBy())
                .append("createTime", getCreateTime())
                .append("updateBy", getUpdateBy())
                .append("updateTime", getUpdateTime())
                .toString();
    }
}
